# -*- coding: utf-8 -*-
from __future__ import absolute_import,unicode_literals,print_function
'''
โปรแกรม Tag จังหวัดในประเทศไทย
'''
def get_data():
    '''
    คืนค่าชื่อจังหวัดในประเทศไทย โดยอยู่ในรูป List
    '''
    return [u"กระบี่",u"กรุงเทพมหานคร",u"กาญจนบุรี",u"กาฬสินธุ์",u"กำแพงเพชร",u"ขอนแก่น",u"จันทบุรี",u"ฉะเชิงเทรา",u"ชลบุรี",u"ชัยนาท",u"ชัยภูมิ",u"ชุมพร",u"เชียงราย",u"เชียงใหม่",u"ตรัง",u"ตราด",u"ตาก",u"นครนายก",u"นครปฐม",u"นครพนม",u"นครราชสีมา",u"นครศรีธรรมราช",u"นครสวรรค์",u"นนทบุรี",u"นราธิวาส",u"น่าน",u"บึงกาฬ",u"บุรีรัมย์",u"ปทุมธานี",u"ประจวบคีรีขันธ์",u"ปราจีนบุรี",u"ปัตตานี",u"พะเยา",u"พระนครศรีอยุธยา",u"พังงา",u"พัทลุง",u"พิจิตร",u"พิษณุโลก",u"เพชรบุรี",u"เพชรบูรณ์",u"แพร่",u"ภูเก็ต",u"มหาสารคาม",u"มุกดาหาร",u"แม่ฮ่องสอน",u"ยโสธร",u"ยะลา",u"ร้อยเอ็ด",u"ระนอง",u"ระยอง",u"ราชบุรี",u"ลพบุรี",u"ลำปาง",u"ลำพูน",u"เลย",u"ศรีสะเกษ",u"สกลนคร",u"สงขลา",u"สตูล",u"สมุทรปราการ",u"สมุทรสงคราม",u"สมุทรสาคร",u"สระแก้ว",u"สระบุรี",u"สิงห์บุรี",u"สุโขทัย",u"สุพรรณบุรี",u"สุราษฎร์ธานี",u"สุรินทร์",u"หนองคาย",u"หนองบัวลำภู",u"อ่างทอง",u"อำนาจเจริญ",u"อุดรธานี",u"อุตรดิตถ์",u"อุทัยธานี",u"อุบลราชธานี"]
def parsed_docs(text_list):
    '''
    parsed_docs(text_list)

    text_list คือ ข้อความภาษาไทยที่อยู่ใน list โดยผ่านการตัดคำมาแล้ว

    ใช้ tag จังหวัดในประเทศไทย

    ตัวอย่าง

    >>> d=['หนองคาย', 'เป็น', 'เมือง', 'น่าอยู่', 'อันดับ', 'ต้น', 'ๆ', 'ของ', 'โลก', 'นอกจากนี้', 'ยัง', 'มี', 'เชียงใหม่']
    >>> parsed_docs(d)
    ["[LOC : 'หนองคาย']", 'เป็น', 'เมือง', 'น่าอยู่', 'อันดับ', 'ต้น', 'ๆ', 'ของ', 'โลก', 'นอกจากนี้', 'ยัง', 'มี', "[LOC : 'เชียงใหม่']"]
    '''
    data=[u"กระบี่",u"กรุงเทพมหานคร",u"กาญจนบุรี",u"กาฬสินธุ์",u"กำแพงเพชร",u"ขอนแก่น",u"จันทบุรี",u"ฉะเชิงเทรา",u"ชลบุรี",u"ชัยนาท",u"ชัยภูมิ",u"ชุมพร",u"เชียงราย",u"เชียงใหม่",u"ตรัง",u"ตราด",u"ตาก",u"นครนายก",u"นครปฐม",u"นครพนม",u"นครราชสีมา",u"นครศรีธรรมราช",u"นครสวรรค์",u"นนทบุรี",u"นราธิวาส",u"น่าน",u"บึงกาฬ",u"บุรีรัมย์",u"ปทุมธานี",u"ประจวบคีรีขันธ์",u"ปราจีนบุรี",u"ปัตตานี",u"พะเยา",u"พระนครศรีอยุธยา",u"พังงา",u"พัทลุง",u"พิจิตร",u"พิษณุโลก",u"เพชรบุรี",u"เพชรบูรณ์",u"แพร่",u"ภูเก็ต",u"มหาสารคาม",u"มุกดาหาร",u"แม่ฮ่องสอน",u"ยโสธร",u"ยะลา",u"ร้อยเอ็ด",u"ระนอง",u"ระยอง",u"ราชบุรี",u"ลพบุรี",u"ลำปาง",u"ลำพูน",u"เลย",u"ศรีสะเกษ",u"สกลนคร",u"สงขลา",u"สตูล",u"สมุทรปราการ",u"สมุทรสงคราม",u"สมุทรสาคร",u"สระแก้ว",u"สระบุรี",u"สิงห์บุรี",u"สุโขทัย",u"สุพรรณบุรี",u"สุราษฎร์ธานี",u"สุรินทร์",u"หนองคาย",u"หนองบัวลำภู",u"อ่างทอง",u"อำนาจเจริญ",u"อุดรธานี",u"อุตรดิตถ์",u"อุทัยธานี",u"อุบลราชธานี"]
    i=0
    while i<len(text_list):
        if text_list[i] in data:
            text_list[i]="[LOC : '"+text_list[i]+"']"
        i+=1
    return text_list